Skip to main content

ListSynonyms

Lists synonyms in a specified workspace.

Debug

You can run this API directly in OpenAPI Explorer, saving you the trouble of calculating signatures. After a successful run, OpenAPI Explorer can automatically generate SDK code examples. Debug

RAM authorization

The following table describes the authorization information for this API. You can use the Action element in RAM permission policy statements to grant RAM users or RAM roles the permission to call this API. For more information, see the following:
  • Operation: the specific permission point.
  • Access level: the access level of each operation. Valid values: Write, Read, or List.
  • Resource type: the resource types that support authorization for the operation. For more information:
    • For required resource types, an asterisk (*) is prefixed.
    • For operations that do not support resource-level authorization, All Resources is used.
  • Condition key: the condition keys defined by the cloud service itself.
  • Dependent action: other permissions required to perform the operation. The caller must have the permissions of all dependent actions for the operation to succeed.
OperationAccess levelResource typeCondition keyDependent action
dataanalysisgbi:ListSynonymsnone
*All resources
*
    None
None

Request syntax

POST /gbi/list/synonyms HTTP/1.1

Request parameters

ParameterTypeRequiredDescriptionExample value
workspaceIdstringYes

The ID of the Alibaba Cloud Model Studio workspace for the current request.

llm-2v3934xtp49esw64
bodyobjectNo

The request body parameters.

nextTokenstringNo

The paging cursor.

  • If this is the first call, do not specify this parameter.

  • For subsequent calls, set this parameter to the nextToken value returned in the previous call.

e8Z0nRyY51ZQmYljqGNK
maxResultslongNo

The maximum number of entries to return on each page.

10

Response elements

ElementTypeDescriptionExample value
object

Result

dataany

The returned information.

{ "data": { "data": [ { "gmtModified": 1734401404000, "columns": [ "test.id", "user_info.createdt" ], "synonymIdKey": "synonyms-AAAAAAAAAVLaD8z63NnFhA", "wordSynonyms": [ "1" ], "workSpaceId": "10024809", "gmtCreate": 1734401404000, "word": "1", "status": 1 } ], "nextToken": "k1BLjEN114wyfrhDHoJlbg==", "totalCount": 0 } }
errorMsgstring

The error description.

NoAuth
codestring

The error code.

NoAuth
successboolean

Indicates whether the call was successful. A value of true indicates success, and a value of false indicates failure.

true
requestIdstring

The request ID. Each request has a unique ID, which helps with troubleshooting.

D02D895A-5E58-5A9F-963D-D8B027AB7AE2

Examples

Success response JSON format
{
  "data": {
    "data": {
      "data": [
        {
          "gmtModified": 1734401404000,
          "columns": [
            "test.id",
            "user_info.createdt"
          ],
          "synonymIdKey": "synonyms-AAAAAAAAAVLaD8z63NnFhA",
          "wordSynonyms": [
            1
          ],
          "workSpaceId": 10024809,
          "gmtCreate": 1734401404000,
          "word": 1,
          "status": 1
        }
      ],
      "nextToken": "k1BLjEN114wyfrhDHoJlbg==",
      "totalCount": 0
    }
  },
  "errorMsg": "NoAuth",
  "code": "NoAuth",
  "success": true,
  "requestId": "D02D895A-5E58-5A9F-963D-D8B027AB7AE2"
}

Error codes

HTTP status codeError codeError messageDescription
401Internal.ErrorBad Request: Internal Error.Internal error. Contact customer service personnel for troubleshooting.
401NoAuthBad Request: Workspace.Illegal.Auth.The current account does not have the permission to the specified business space.
401NoResourceAuthBad Request: Resource Auth Error.You do not have permission for the requested resource. Make sure that the requested resource belongs to the business space in the current parameter.
401SystemOperationInProgressXiyan GBI is learning your previous modifications. Please try again later.Xiyan GBI is learning your previous modifications. Please try again later.
Visit the Error Center to view more error codes.